:root {
  --font-buttons: "Gotham", sans-serif;
  --button-font-size: 1.8rem;
  --color-button-text: #fff;
}

/* BUTTON */
button {
  font-family: var(--font-buttons);
  font-size: var(--button-font-size);
  font-weight: 700;
  border: none;
  border-radius: 0;
  padding: 20px 80px;
  background-color: var(--color-primary);
  color: var(--color-button-text);
  text-transform: uppercase;
  box-shadow: inset 0 0 20px rgba(0, 0, 0, 0.05);
  transition: transform 0.1s ease;
  cursor: pointer;
}

button:hover:not(:disabled) {
  cursor: pointer;
  background-color: var(--color-primary-dark);
  transform: scale(1.02);
}

button:disabled {
  background-color: var(--disabled-color);
  cursor: not-allowed;
  transition: none;
  box-shadow: none;
  transform: none;
}

.buttons-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.buttons-wrapper a {
  margin-right: 30px;
  align-items: center;
  flex: 1;
}

.buttons-wrapper a:last-child {
  margin: 0;
}

.buttons-wrapper a:only-child {
  margin: 0 auto;
}

.interactable {
  transition: transform 0.1s ease;
}

.interactable:hover {
  transform: scale(1.02);
}

/* MOBILE RESPONSIVE */
@media all and (max-width: 768px) {
  button {
    font-size: 1.6rem;
    padding: 18px 70px;
  }
}

@media all and (max-width: 550px) {
  button {
    font-size: 1.5rem;
    padding: 16px 60px;
  }
}

